#pragma once

#include <library/cpp/http/misc/httpreqdata.h>

class TDeployManagerConfig;
class TRequestWizard;
class TServerRequestData;

class TRequestWizardModule {
public:
    TRequestWizardModule(const TDeployManagerConfig& config);
    ~TRequestWizardModule();

    void Process(TServerRequestData& request, const TString& firstLine) const;
    TString Help() const;

private:
    THolder<TRequestWizard> RequestWizard;
};
